# `iceform`

Use forms with or without client-side JavaScript--no code duplication required!

Powered by [formxtra](https://code.modal.sh/modal-soft/formxtra).

## Why?

* Remove dependence from client-side JavaScript (graceful degradataion)
* Allow scriptability of forms
* Improved accessibility

## Features

* Emulate client-side behavior in a purely server-side manner
* HTTP compliant (respects status code semantics)
* Easy setup (adapts to how receiving requests are made in Next)


## TODO

* Content negotiation (custom request data)
* Tests
* Remix support
